import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { HeaderComponent } from './shared/components/header/header.component';
import { PlanningSpreadsheetComponent } from './pages/planning-spreadsheet/planning-spreadsheet.component';

import { TestDataService } from './shared/services/testDataService';

import {
  DxButtonModule,
  DxToolbarModule
 } from 'devextreme-angular';

 import {
   SpreadSheetsModule
 } from './gc.spread.sheets.angular';

@NgModule({
  declarations: [
    AppComponent,
    HeaderComponent,
    PlanningSpreadsheetComponent
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    DxButtonModule,
    DxToolbarModule,
    SpreadSheetsModule
  ],
  providers: [
    TestDataService
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }
